> For the complete documentation index, see [llms.txt](https://db.coolstone.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://db.coolstone.dev/1/reference/quick-start.md).

# Quick Start

## Install

```bash
npm i dubnium
```

## Initialize

{% hint style="info" %}
You can initialize as many databases as you want
{% endhint %}

```javascript
const db = new (require("dubnium"))("./folder",'custom file extension')
/*db.dir() // if you want Dubnium to create a folder for you*/
```

## Make your first Record

```javascript
db.create('tag', data)
```

## Delete a Record

```javascript
db.delete('tag')
```

## Modify a Record

{% tabs %}
{% tab title="Data (JSON only)" %}

```javascript
db.setValue("tag","key","new value")
```

For non-JSON, use [`db.overwrite()`](/1/reference/api/modify.md#overwrite-record-content)
{% endtab %}

{% tab title="Tag" %}

```javascript
db.setTag("old_tag","new_tag")
```

{% endtab %}
{% endtabs %}

## Get Record

{% tabs %}
{% tab title="Get one" %}

```javascript
db.get('tag')
```

```javascript
db.getFromValue('key','value',onlyFirst)
```

{% endtab %}

{% tab title="Get all" %}

```javascript
db.getAll(returnType)
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
`getFromValue` is JSON only
{% endhint %}

### Check out our full docs for more in-depth explanations and code


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://db.coolstone.dev/1/reference/quick-start.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
